import Layout from '@/components/layout'

export default [
  { path: '*', redirect: '/' },
  {
    path: '/',
    component: Layout,
    children: [
      { path: '', redirect: '/msgView' },
      // /* 首页 */
      { path: '/msgView', component: () => import(/* webpackChunkName: "feedback" */ '@/pages/msgView/index') },
      /* 消息模板 */
      { path: '/msgTemplate', component: () => import(/* webpackChunkName: "feedback" */ '@/pages/msgTemplate/index') },
      /* 消息模板新建 */
      {
        path: '/msgTemplate/detail',
        component: () => import(/* webpackChunkName: "feedback" */ '@/pages/msgTemplate/detail')
      },
      /* 用户群组 */
      { path: '/userGroup', component: () => import(/* webpackChunkName: "feedback" */ '@/pages/userGroup/index') },
      /* 日志 */
      { path: '/log', component: () => import(/* webpackChunkName: "feedback" */ '@/pages/log/index') },
      /* 短信管理 */
      {
        path: '/sms/smsTemplate',
        component: () => import(/* webpackChunkName: "feedback" */ '@/pages/sms/smsTemplate/index')
      },
      {
        path: '/sms/smsRecord',
        component: () => import(/* webpackChunkName: "feedback" */ '@/pages/sms/smsRecord/index')
      },
      {
        path: '/smsTemplate/detail',
        component: () => import(/* webpackChunkName: "feedback" */ '@/pages/sms/smsTemplate/detail')
      }
      // /* 修改密码 */
      // {
      //   path: '/account/password',
      //   component: () => import(/* webpackChunkName: "account" */ '@/pages/account/password')
      // },
      // /* 用户群分析 */
      // {
      //   path: '/groupAnalysis',
      //   component: () => import(/* webpackChunkName: "groupAnalysis" */ '@/pages/groupAnalysis/index.vue')
      // },
      // /* 用户触达 */
      // {
      //   path: '/userTrigger',
      //   component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/userTrigger/index.vue')
      // },
      // /* 背景选择 */
      // {
      //   path: '/caseSelection',
      //   component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/caseSelection/index.vue')
      // },
      // {
      //   path: '/test',
      //   component: () => import(/* webpackChunkName: "userTrigger" */ '@/pages/test.vue')
      // }
    ]
  },
  {
    path: '/401',
    component: () => import(/* webpackChunkName: "error" */ '@/pages/error/401.vue')
  }
]
